---
{{ ansible_managed | comment }}

debug: {{ k3s_debug }}

node-name: "{{ k3s_node_name }}"
token: "{{ k3s_token }}"
{% if 'k3s_servers' in group_names %}
tls-san: "{{ k3s_registration_address }}"
write-kubeconfig-mode: "0644"
{% endif %}
{% if inventory_hostname == groups['k3s_servers'][0] and groups['k3s_servers'] | length > 1 %}
cluster-init: true
{% endif %}
{% if inventory_hostname != groups['k3s_servers'][0] %}
server: "https://{{ k3s_registration_address }}:6443"
{% endif %}
...
